<?php
	session_start();
	$csv = $_SESSION['CSV'];
	$groupid = $_SESSION['groupid'];
	$teacherid = $_SESSION['teacherid'];
	
	$comparison = fopen('./CSVs/comparison.csv', "r");
	$compArray = Array();
	
	while(($data = fgetcsv($comparison)) !== false)
	{
		$compArray[sizeof($compArray)] = $data;
	}
	fclose($comparison);
	
	include 'config.php';

	echo "The following data will be entered:<br/>";
	//echo sizeof($csv);
	
	$id = -1;
	$columns = Array();
	$activities = Array();
	
	for($j = 0; $j < sizeof($csv[0]); $j++)
	{
		if($csv[0][$j] == "SIS User ID") 
		{
			$id = $j; 
		}
		
		$query = "SELECT activityid FROM activities_have_extcolumn WHERE column_name = '".$csv[0][$j]."'";
		$result = mysqli_query($link, $query);
		
		if(mysqli_num_rows($result) > 0) 
		{
			list($activities[sizeof($columns)]) = mysqli_fetch_row($result);
			$columns[sizeof($columns)] = $j;
		}
	}
	
	//print_r($columns);
	
	$url = Array();
	
	for($j = 0; $j < sizeof($csv); $j++)
	{
		$query = "SELECT people.firstname, people.surname, people.id FROM student_has_extid LEFT JOIN people ON student_has_extid.studid=people.id WHERE extid='".$csv[$j][$id]."'";
		$result = mysqli_query($link, $query);
		$output = "";
		
		if(mysqli_num_rows($result))
		{
			$forename;
			$surname;
			$studid;
			$studgrpid;
			$activityname;
			$datasourceid;
			list($forename, $surname, $studid) = mysqli_fetch_row($result);
			
			for($q = 0; $q < sizeof($activities); $q++)
			{
				if($compArray[$j][$columns[$q]] != $csv[$j][$columns[$q]])
				{
					//echo $compArray[$j][$columns[$q]] . " = " . $csv[$j][$columns[$q]] . "<br/>";
					
					if($csv[$j][$columns[$q]] != '')
					{
						$query = "SELECT name FROM activities WHERE id=$activities[$q]";
						$result2 = mysqli_query($link, $query);
						
						list($activityname) = mysqli_fetch_row($result2);
						
						$query = "SELECT id FROM datasource WHERE name='Canvas'";
						$result4 = mysqli_query($link, $query);
						
						list($datasourceid) = mysqli_fetch_row($result4);
						
						$query = "SELECT groupid FROM group_has_students WHERE studentid=$studid";
						$result5 = mysqli_query($link, $query);
						
						if(mysqli_num_rows($result5) > 1)
						{
							echo "$forename $surname with ID: $studid is in more than one group with IDs: ";
							while(list($temp) = mysqli_fetch_row($result5))
							{
								echo "$temp, ";
							}
							echo "<br/>";
						}
						else
						{
							list($studgrpid) = mysqli_fetch_row($result5);
						
							$query = "SELECT name, id FROM competencies LEFT JOIN activities_have_competencies ON competencies.id=activities_have_competencies.competencyid WHERE activityid=$activities[$q]";
							$result3 = mysqli_query($link, $query);
							
							while(list($competencyname, $competencyid) = mysqli_fetch_row($result3))
							{
								echo "Value: ".($csv[$j][$columns[$q]] / $csv[1][$columns[$q]])." given to: $forename $surname in Activity: $activityname, Datasource: Canvas, Group: $studgrpid, Teacher: $teacherid, Competency: $competencyid<br/>";
								//
								$url[sizeof($url)] = "http://eeevle.bham.ac.uk/leas-olm/api/masterapi?sharedsecret=l753Ea{sB[]o}x*&method=addinformation&leasid=$teacherid&competencyid=$competencyid&groupid=$studgrpid&userid=$studid&datasourceid=$datasourceid&activityid=".$activities[$q]."&value=".($csv[$j][$columns[$q]] / $csv[1][$columns[$q]]);
							}				
						}
					}
				}
				//else echo $compArray[$j][$columns[$q]] . " = " . $csv[$j][$columns[$q]] . "<br/>";
			}
		}
	}
?>

	<input type='button' id='processData' value='submit data' />
	<div id='processMessage'></div>

	<script>
		var url = new Array();
	
		$(document).ready(function()
		{
			$('#processData').hide();
			
			<?php
				for($j = 0; $j < sizeof($url); $j++)
				{
					echo "url[$j] = '".$url[$j]."';\n";
				}
			?>
			
			if(url.length > 0) $('#processData').show();
							
			$('#processData').click(function()
			{	
				//alert("button clicked");
				stopInterval();
			
				if($('#processData').val() == "submit data")
				{
					for(j = 0; j < url.length; j++)
					{
						console.log(url[j]);
						
						$.get(url[j]+"", function(data)
						{							
							$('#processMessage').html(data);
						}).fail(function()
						{
							alert("failure");
						});
					}
				}
				
				$('#processData').val("data processed");
				$.get('./updateCSV.php', function(data){});
			});
		});
	
	</script>